# Deploying a kernel to a remote requires part of the kw code in the target
# machine. The following variable enables users to specify which folder they
# prefer to use.

# This variable specifies where kw will store its code in the remote machine.
kw_files_remote_path=/opt/kw

# This variable specifies where kw will save temporary files used during the
# deploy.
deploy_temporary_files_path=/tmp/kw

# Options:
# lzop: Best tradeoff between compression time and size
# gzip: Good compression, but a little bit slow
# xz: Very good compression, but very slow
deploy_default_compression=lzop

# If defined, will cause modules to be stripped after they
# are installed which will reduce the initramfs size.
strip_modules_debug_option=yes

# Use this parameter to configure how kw will handle the dtb files. Follows
# some examples on how to use this parameter:
# Empty (dtb_copy_pattern=): It will use the battern *.dtb in the dts folder
# Pattern path (e.g., dtb_copy_pattern=broadcom/*): It will copy all dtb files
#  inside broadcom folder.
# Copy folder (dtb_copy_pattern=broadcom): Points to a folder.
# Multiple folder copy (dtb_copy_pattern=broadcom,rockchip,arm): You can
# specify multiple folder to be deployed.
dtb_copy_pattern=

# Sometimes it could be bothersome to pass the same parameter for kw deploy;
# here, you can set the default target. We define `vm` as the default, but
# you can also use `local` and `remote`.
default_deploy_target=vm

# If you want to reboot your target machine after the deploy gets done, you can
# change the option `reboot_after_deploy` from "no" to "yes".
reboot_after_deploy=no
